#include version.txt

uniform sampler2D source0;
uniform sampler2D source1;
uniform float buffer_size;

void main() {	
    
    float step = 1.0 / buffer_size;
        
	gl_FragColor = (texture2D(source1, gl_TexCoord[0].xy) +
                    texture2D(source0, gl_TexCoord[0].xy - vec2(step, 0.0)) +
                    texture2D(source0, gl_TexCoord[0].xy + vec2(step, 0.0)) +
                    texture2D(source0, gl_TexCoord[0].xy - vec2(0.0, step)) +
                    texture2D(source0, gl_TexCoord[0].xy + vec2(0.0, step))) / vec4(4.0);                    
}
